<?php
include("cp_header.php");/**************************************************صفحة تعديل قرارات التملك*******************************************************************/
//منع الانجكشن
if(!isset($_GET['id']) || !is_numeric($_GET['id'])){
	
die("الصفحة غير موجودة");		
}	

//تجنب اضافة سجل فى حالة اعادة تحميل الصفحة

//ضمان عدم الاضافة مرتين
if(!isset($RequestSignature)){
$RequestSignature = md5($_SERVER['REQUEST_URI'].$_SERVER['QUERY_STRING'].print_r($_POST, true));
}

/*  اسم الجدول وبداية الكويرى */  
$table="ownership_decisions";
$extensionx='' ;
$filex='';
$file_name='';


	
?>
<div id="cp_cont">
<div id="show_user_details"></div>
	

<?php
///تجنب اضافة سجل فى حالة اعادة تحميل الصفحة

if (isset($_SESSION['LastRequest']) && $_SESSION['LastRequest'] == $RequestSignature)
{
goto error;
}
else
{
$_SESSION['LastRequest'] = $RequestSignature;
}


//فى حالة السبمت
if (isset($_POST['submit']) && $_POST['token_sec']==$_SESSION['token']  ) {
if (isset($_FILES['image'])){


	

   


}

//وضع الفورم فى متغيرات
$title=str_replace("'","\'",$_POST['title']);
$date=$_POST['date'];
$file_name=$_POST['old_file'];
$modified=date('Y-m-d H:i:s');
$priority=0;

if(isset($_POST['priority'])){ $priority=1; }

//مسار رفع الصورة
$src='../img/'.$table.'/';	

	if($_FILES['attach']['size']!=0){
		
//استدعاء ملف رفع الملفات
include("upload_file.php");
		
		
	}
	

	


//بداية الاستعلام
$query= mysqli_prepare(

			$conn,

			"Update `$table` 
			set `title`=? , `date`= ? , `files`=? ,`modified`=? ,`user_modified`=? ,`priority`= ?  
			Where id= ? "
	);

		

			
//نهيئة المتغيرات وحمايتها من الحقن
mysqli_stmt_bind_param($query,'sssssii',
			
			 $title,$date,$file_name,$modified,$_SESSION[$domain."_user"],$priority,$_GET['id']

			);


			
//تنفيذ الاستعلام وتخزين حالته
$execute_status=mysqli_stmt_execute($query);
			 
//فى حالة وجود اخطاء فى الاتصال بقاعدة البيانات
if(mysqli_error($conn)!=''){

				 $error_database_arr['err']=mysqli_error($conn);

				 $error_database_arr['err_num']= mysqli_errno($conn);

				 $error_database_arr['error_stmt']= mysqli_stmt_error($query);

			 }
	
//عدد السجلات التى تم تنفيذها
$affected_rows=mysqli_affected_rows($conn);

//فى حالة نجاح الاستعلام
if($execute_status==1){
	

	echo "<div class='true'>تم رفع الوصف</div>";
	
	goto endall;
}else{
	err:	
	echo "<div class='false'>لم يتم رفع الوصف</div>";  
 
  		
}

unset($_POST['submit']);


}

error:



//بداية الاستعلام
$query="select title,date,files,priority from $table where id=".$_GET['id'];
//تنفيذ الاستعلام
$result=mysqli_query($conn,$query);
$fetch=mysqli_fetch_array($result);
	$fetch=clean_array($fetch);
$sort_num=$fetch[0];
?>	
	
	
	
	
<div id="cp_title"> تعديل قرارات التملك والإستثمار
<a  href="view_<?php echo $table; ?>.php?search=" style='background:url(../img/table.png);float:left;margin:10px 0px 5px 20px;color:var(--white);width:20px;height:20px;'></a>	

</div>
<div id="cp_body">

<form id="app_form" enctype="multipart/form-data"   method="post" action="<?php echo $_SERVER['PHP_SELF'].'?id='.$_GET['id'] ; ?>">
<div class="cp_word_body">
<div class="cp_login_row" style="float:right;;height:120px">
<div class="cp_title"><span style="color:red">*</span>العنوان</div>
<div class="cp_field">
<input alt="1" id="title" class="required " name="title" type="text" value="<?php echo $fetch['title'] ?>" />
<div class="field_val "></div>	
</div>
</div>

<div class="cp_login_row" >
<div class="cp_title"><span style="color:red">*</span>التاريخ </div>
<div class="cp_field">
<input class="datepicker required" alt="1" autocomplete="off"  name="date" type="text" value="<?php echo $fetch['date'] ?>" />
<div class="field_val "></div>	
</div>
</div>
	
<div class="cp_login_row">
<div class="cp_title"><span style="color:red">*</span> رفع الملف </div>
<div class="cp_fielda">
<div class="wrapper files"></div>	
<input num="1" class='browse requiredx' alt="4"  name="attach" type="file" accept="application/pdf" />
<div style='float:left;border:solid 1px #888;margin-left:300px;' class='old_file'>
<img loading='lazy' id="browse_img1" src="<?php if($fetch['files']!=''){echo "../img/pdf.png";} ?>" style="float:left;width:80px;height:40px;background:url(../img/small_loading.gif) no-repeat center center #fff"/>
<input name='old_file' value='<?php echo $fetch['files']; ?>' type='hidden' />
<span style='float:left'><?php echo $fetch['files']; ?><span>
</div>
<div class="field_val no_margin "></div>
</div>
</div>



<div class="cp_login_row" >
<div class="cp_title">الاولوية</div>
<div class="cp_field">
<input alt="1" id="ajil" name="priority" type="checkbox"  
<?php if($fetch['priority']=='1'){ echo "checked='checked'" ;} ?>
/>	
</div>
</div>
</div>	
</div>

<div class="cp_login_row">
<div class="cp_submit"><input  class="wymupdate" id="submit"  name="submit" value="تعديل"  title="دخول" type="submit"></div>
</div>
</div>
<input type="hidden" name="token_sec"  value='<?php echo $_SESSION['token']; ?>'> </form>

</div>
</div>

<?php 
//تحميل الفوتر
include("cp_footer.php"); ?>

<?php 
exit();

endall:
echo "<a class='true' href='view_$table.php?search='> الانتقال لصفحة تعديل قرارات التملك  </a>";
?>
<script type="text/javascript">
$(function(){

//الانتقال التلقائى لصفحة العرض
setTimeout(function() {
  window.location.href = "view_<?php echo $table ; ?>.php?search=";
}, 5000);


});
</script>



